#! /bin/bash

prefix=$3
rootfs=$2
cc=${prefix}gcc
if which ${cc} > /dev/null 2>&1; then
   : # cc was found
else
   echo "could not find compiler : ${cc}"
   echo "bad prefix or compiler not in path?"
   exit -1
fi

#find $(${cc} -print-sysroot) \( -name 'libnss*' -o -name 'librt*.so' -o -name 'libpthread*.so' -o -name 'libresolv*.so' -o -name 'libutil*.so' \) -type f |

find $(${cc} -print-sysroot) -name 'lib*.so*' -type f |
while read file; do
   while [ -L ${file} ]; do
      link=$(readlink ${file})
      case ${link} in
	/*)
		file=${link}
		;;
	*)
		dir=$(dirname ${file})
   		file=${dir}/${link}
		;;
      esac
   done
   if [ ! -f ${file} ]; then
      echo "could not find file : ${file}"
      exit -1
   fi
   mkdir -p ${rootfs}/lib
   cp -a ${file} ${rootfs}/lib
done
